Bug 608490 - Excessive dependencies
Excessive dependencies
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-27 15:51 EDT by Tethys
Modified: 2011-06-27 15:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 15:02:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tethys 2010-06-27 15:51:31 EDT
Description of problem:
Trying to install a minimal system is nearly impossible due to insane dependencies

Version-Release number of selected component (if applicable):
2.2-1.fc12
(incidentally, why fc12? Isn't there a native fc13 package here?)

How reproducible:
Every time

Steps to Reproduce:
1. Install F13, selecting "minimal install"
2. Install X11, notice that screen size is smaller than it should be
3. yum install system-config-display
  
Actual results:
==========================================================================
 Package                     Arch     Version           Repository   Size
==========================================================================
Installing:
 system-config-display       x86_64   2.2-1.fc12        fedora      184 k
Installing for dependencies:
 control-center-filesystem   x86_64   1:2.30.1-2.fc13   updates      48 k
 dbus-python                 x86_64   0.83.0-6.fc12     fedora      175 k
 dbus-x11                    x86_64   1:1.2.24-1.fc13   fedora       40 k
 enchant                     x86_64   1:1.6.0-1.fc13    fedora       50 k
 flac                        x86_64   1.2.1-6.fc12      fedora      230 k
 gnome-icon-theme            noarch   2.30.2.1-1.fc13   fedora      8.5 M
 gnome-themes                noarch   2.30.0-3.fc13     fedora      2.5 M
 gstreamer                   x86_64   0.10.29-2.fc13    updates     791 k
 gstreamer-tools             x86_64   0.10.29-2.fc13    updates      23 k
 gtk2-engines                x86_64   2.20.1-1.fc13     fedora      286 k
 hunspell                    x86_64   1.2.8-17.fc13     fedora      177 k
 libasyncns                  x86_64   0.8-1.fc13        fedora       24 k
 libcanberra                 x86_64   0.24-1.fc13       updates      67 k
 libcanberra-gtk2            x86_64   0.24-1.fc13       updates      26 k
 libnotify                   x86_64   0.4.5-4.fc13      fedora       35 k
 libogg                      x86_64   2:1.2.0-1.fc13    fedora       21 k
 libsexy                     x86_64   0.1.11-15.fc13    fedora       43 k
 libsndfile                  x86_64   1.0.20-5.fc13     fedora      149 k
 libtdb                      x86_64   1.2.1-2.fc13      fedora       28 k
 libvorbis                   x86_64   1:1.3.1-1.fc13    fedora      201 k
 libxfce4util                x86_64   4.6.2-1.fc13      updates     114 k
 libxfcegui4                 x86_64   4.6.4-1.fc13      updates     317 k
 libxslt                     x86_64   1.1.26-1.fc12     fedora      397 k
 metacity                    x86_64   2.30.0-2.fc13     fedora      1.2 M
 pulseaudio-libs             x86_64   0.9.21-6.fc13     fedora      428 k
 pycairo                     x86_64   1.8.6-2.fc12      fedora      166 k
 pygobject2                  x86_64   2.21.1-6.fc13     fedora      191 k
 pygtk2                      x86_64   2.17.0-3.fc13     fedora      992 k
 pygtk2-libglade             x86_64   2.17.0-3.fc13     fedora       23 k
 pyxf86config                x86_64   0.3.37-7.fc12     fedora       54 k
 rarian                      x86_64   0.8.1-5.fc12      fedora       92 k
 rarian-compat               x86_64   0.8.1-5.fc12      fedora       59 k
 sound-theme-freedesktop     noarch   0.7-2.fc13        fedora      388 k
 startup-notification        x86_64   0.10-4.fc13       fedora       37 k
 usermode                    x86_64   1.104.2-1.fc13    fedora      189 k
 usermode-gtk                x86_64   1.104.2-1.fc13    fedora       99 k
 xcb-util                    x86_64   0.3.6-1.fc12      fedora       37 k
 xfce4-notifyd               x86_64   0.1.0-3.fc12      fedora       56 k
 xfconf                      x86_64   4.6.2-1.fc13      updates     133 k
 zenity                      x86_64   2.30.0-1.fc13     fedora      2.7 M

Transaction Summary
==========================================================================
Install      41 Package(s)
Upgrade       0 Package(s)

Total download size: 21 M
Installed size: 50 M
Is this ok [y/N]: n


Expected results:
You're kidding me, right? I need to be able to play FLAC and Ogg Vorbis audio to be able to configure my X server? I need a spell checker installed? I need to have a specific window manager (one that I don't use) installed? This is insane. What's the point of a minimal install if as soon as you try and install anything, it pulls in the rest of the system anyway with unnecessary dependencies?

Additional info:
Comment 1 Bug Zapper 2011-06-01 11:25:51 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-27 15:02:08 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.